Saltar al contenido
Docs
Español
Esc
navigateopen⌘Jpreview

Create a content block

Creates a content block in a course layer. Scoped to your integration’s institution via Basic Auth credentials.

POST/content-blocks
Header parameters
Idempotency-Keystringrequired
Unique key to ensure idempotent creation
Request body
requiredapplication/json
namestringrequired
min length 1 · max length 100
descriptionstring
max length 10000
courseIdstringrequired
Layer ID of the course.
typestringrequired
Allowed:TextImageVideoTestInteractiveFileLinkHandInCertificateExternalDeliverableSurveySection
statusstring
Allowed:PUBLISHEDCOMING_SOONDRAFTDISABLED
positioninteger
min 0
dueDatestring<date-time>
startDatestring<date-time>
specsobject
expectedLearnTimeMinutesinteger
min 1
isDependentboolean
Responses
201Content block created
dataContentBlockrequired
Show properties
idstringrequired
namestringrequired
descriptionstringrequired
courseIdstringrequired
Layer ID of the course this block belongs to.
typestringrequired
statusstringrequired
Allowed:PUBLISHEDCOMING_SOONDRAFTDISABLED
positioninteger | nullrequired
dueDatestring<date-time> | nullrequired
startDatestring<date-time> | nullrequired
specsobjectrequired
courseGoalIdstring | nullrequired
createdAtstring<date-time>required
isDependentbooleanrequired
expectedLearnTimeMinutesinteger | nullrequired
metaResponseMetarequired
Show properties
requestIdstringrequired
timestampstring<date-time>required
versionstringrequired
Allowed:v4
400Bad Request
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
401Unauthorized
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
403Forbidden
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
409Conflict
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
429Too Many Requests
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
500Internal Server Error
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
Request
curl -X POST "https://fuxam.app/api/v4/content-blocks" \
  -H "Idempotency-Key: string" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "courseId": "string",
  "type": "Text",
  "status": "PUBLISHED",
  "position": 0,
  "dueDate": "2024-01-01T00:00:00Z",
  "startDate": "2024-01-01T00:00:00Z",
  "specs": {},
  "expectedLearnTimeMinutes": 0,
  "isDependent": true
}'
Response
{
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "courseId": "string",
    "type": "string",
    "status": "PUBLISHED",
    "position": 0,
    "dueDate": "2024-01-01T00:00:00Z",
    "startDate": "2024-01-01T00:00:00Z",
    "specs": {},
    "courseGoalId": "string",
    "createdAt": "2024-01-01T00:00:00Z",
    "isDependent": true,
    "expectedLearnTimeMinutes": 0
  },
  "meta": {
    "requestId": "req_1234567890_abc",
    "timestamp": "2026-06-02T07:00:00.000Z",
    "version": "v4"
  }
}